> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Storage Zone Egress Statistics ## OpenAPI ````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /storagezone/{id}/statistics/egress openapi: 3.0.0 info: title: bunny.net API description: >- bunny.net Logo Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation

Third party API clients:


We currently do not maintain an official API library, but you can use one of the third party ones provided here:

https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)

Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them. termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.0.0 servers: - url: https://api.bunny.net description: bunny.net API Server security: - AccessKey: [] tags: - name: Stream Video Library - name: User - name: AuditLog - name: Storage Zone - name: Statistics - name: Search - name: Pull Zone - name: Pricing - name: Load Balancer - name: DNS Zone - name: DNSSEC - name: Billing - name: API Keys - name: Affiliate - name: Countries - name: Purge - name: Region paths: /storagezone/{id}/statistics/egress: get: tags: - Storage Zone summary: Get Storage Zone Egress Statistics operationId: GetStoragezoneEgressStatisticsEndpoint_StorageZoneEgressStatistics parameters: - name: id in: path required: true description: The ID of the storage zone schema: type: integer format: int64 x-position: 1 - name: dateFrom in: query description: >- (Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned. schema: type: string format: date-time nullable: true x-position: 2 - name: dateTo in: query description: >- (Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned. schema: type: string format: date-time nullable: true x-position: 3 - name: hourly in: query description: >- (Optional) If true, the statistics data will be returned in hourly groupping. schema: type: boolean default: false x-position: 4 responses: '200': description: The egress statistics data for the passed parameters. content: application/json: schema: $ref: '#/components/schemas/StorageZoneEgressStatisticsModel' '400': description: The requested date range is invalid content: application/json: schema: $ref: '#/components/schemas/ApiErrorData' '401': description: The request authorization failed '403': description: The user does not have rights to access this resource '404': description: The StorageZone has not been found '500': description: Internal Server Error security: - AccessKey: - User - UserApi - SubuserAPIStatistics - SubuserStatistics - SubuserManage - SubuserAPIManage - ScopedApiKey - bearer: - User - UserApi - SubuserAPIStatistics - SubuserStatistics - SubuserManage - SubuserAPIManage - ScopedApiKey components: schemas: StorageZoneEgressStatisticsModel: type: object additionalProperties: false properties: HttpEgressChart: type: object description: Download traffic served over HTTP nullable: true additionalProperties: type: integer format: int64 S3EgressChart: type: object description: Download traffic served over S3 nullable: true additionalProperties: type: integer format: int64 S3PresignedEgressChart: type: object description: Download traffic served over presigned S3 URLs nullable: true additionalProperties: type: integer format: int64 FtpEgressChart: type: object description: Download traffic served over FTP nullable: true additionalProperties: type: integer format: int64 SftpEgressChart: type: object description: Download traffic served over SFTP nullable: true additionalProperties: type: integer format: int64 TotalEgressChart: type: object description: Total download traffic across all protocols nullable: true additionalProperties: type: integer format: int64 HttpEgressTotal: type: integer description: Total download traffic over HTTP format: int64 S3EgressTotal: type: integer description: Total download traffic over S3 format: int64 S3PresignedEgressTotal: type: integer description: Total download traffic over presigned S3 URLs format: int64 FtpEgressTotal: type: integer description: Total download traffic over FTP format: int64 SftpEgressTotal: type: integer description: Total download traffic over SFTP format: int64 TotalEgress: type: integer description: Total download traffic across all protocols format: int64 ApiErrorData: type: object additionalProperties: false properties: ErrorKey: type: string nullable: true Field: type: string nullable: true Message: type: string nullable: true securitySchemes: AccessKey: type: apiKey description: API Access Key authorization header name: AccessKey in: header bearer: type: apiKey description: Bearer token authorization header name: Authorization in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.